.\" documentation file generated from CG56HostOut.pl by ptlang
.\" Copyright (c) 1990, 1991, 1992 The Regents of the University of California.
.\" All rights reserved.
.\" See the file ~ptolemy/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "HostOut"
.SD
Synchronous host port output.
.SE
.LO "CG56 io library"
.DM CG56 CG56Star
.SV 1.19 "12/8/92"
.AL "Kennard White, Chih-Tsung Huang (ported from Gabriel)"
.AC "Gabriel version by Phil Lapsley"
.IH
.NE
\fIinput\fR (fix)
.PE
.SH
.NE
\fIsamplesConsumed\fR (IntState): Number of samples consumed.
.DF "1"
.NE
\fIsamplesOutput\fR (IntState): Number of samples transfered to host.
.DF "1"
.NE
\fIblockOnHost\fR (IntState): Boolean: wait until host ready?
.DF "YES"
.NE
\fIcommand\fR (StringState): 
.DF ""
.ET
.LD
Output data from DSP to host via host port synchronously.
.UH IMPLEMENTATION:
.pp
We distiguish between single word transfers and multiword transfers.
The single word case is simpler in that we can use the \fIref\fP macro to
access the value.  The multiword case requires a loop.  Currently
we distinguish the two cases by \fIsamplesConsumed\fP, but I think it should
be \fIsamplesOuput\fP.
.LP
In blocking mode we wait until the host is ready to read our samples.
In non-blocking mode, we completely skip the transfer if the host
is not ready.
.LP
This implementation currently uses the "unsafe" START/STOP host port DMA
flow control.
.ES
