.\" documentation file generated from CG96Lattice.pl by ptlang
.\" Copyright (c) 1990, 1991, 1992 The Regents of the University of California.
.\" All rights reserved.
.\" See the file ~ptolemy/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Lattice"
.SD
FIR Lattice Filter
.SE
.LO "CG96 dsp library"
.DM CG96 CG96Star
.SV 1.10 "12/8/92"
.AL "Chih-Tsung Huang"
.AC "Gabriel version by Anthony Wong"
.IH
.NE
\fIsignalIn\fR (float)
.PE
.OH
.NE
\fIfp\fR (float)
.NE
\fIbp\fR (float)
.PE
.SH
.NE
\fIreflectionCoefs\fR (FloatArrayState): Filter tap values.
.DF "0.1 0.2 0.3 0.4"
.NE
\fIoldsample\fR (FloatArrayState): internal
.DF "0"
.NE
\fIreflectionCoefsNum\fR (IntState): internal
.DF "4"
.ET
.LD
.PP
The star implements a FIR lattice filter.
The coefficients are the reflection coefficients
in the order k(1), k(2), ..., etc.
The process is fed into the signalIn \fIsignalIn\fR.
The output \fIfp\fR gives the
forward prediction error of the process;
whereas the output \fIbp\fR gives the
backward prediction error of the process.
.UH BUGS
Currently, there is no check on the magnitude of the
reflection coefficients.
Therefore, the user should limit the reflection coefficients
to have magnitude less than 1.
.SA
RLattice.
.ES
