.\" documentation file generated from CG96WaveForm.pl by ptlang
.\" Copyright (c) 1990, 1991, 1992 The Regents of the University of California.
.\" All rights reserved.
.\" See the file ~ptolemy/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "WaveForm"
.SD
A value of values is repeated at the ouput with period period, zero-padding
or tuncating to period if necessary.
Setting period to 0 (default) ouputs the value once.
The default value is 0.1 0.2 0.3 0.4.
.SE
.LO "CG96 signal sources library"
.DM CG96 CG96Star
.SV 1.12 "12/8/92"
.AL "Chih-Tsung Huang"
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIvalue\fR (FloatArrayState): One period of the output waveform.
.DF "0.1 0.2 0.3 0.4"
.NE
\fIhaltAtEnd\fR (IntState): Halt the run at the end of the given data.
.DF "NO"
.NE
\fIperiodic\fR (IntState): Output is periodic if "YES" (nonzero).
.DF "YES"
.NE
\fIperiod\fR (IntState): If greater than zero, gives the period of the waveform.
.DF "0"
.NE
\fIfirstVal\fR (FloatState): first value of value
.DF "0.1"
.NE
\fIvalueLen\fR (IntState): number of values in value.
.DF "4"
.NE
\fIdataCirc\fR (IntState): pointer
.DF "0"
.ET
.LD
You can get periodic signals with any period, and can halt a simulation
at the end of the given waveform.  The following table summarizes the
capabilities:
.TS
center, box;
l l l l.
haltAtEnd   periodic   period    operation
_
NO          YES        0         The period is the length of the waveform
NO          YES        N>0       The period is N
NO          NO         anything  Output the waveform once, then zeros
.TE
The first line of the table gives the default settings.
.PP
This star may be used to read a file by simply setting "value" to
something of the form "< filename".  The file will be read completely
and its contents stored in an array.  The size of the array is currently
limited to 20,000 samples.  

.IE "waveform from file"
.IE "reading from a file"
.IE "halting a simulation"
.ES
