.\" @(#)SDFAWGNchannel.t	1.1	12/17/92
.NA AWGNchannel
.SD
Model an additive white Gaussian noise channel with optional
linear distortion.
.DE
.LO "SDF comm library (galaxy)"
.DM SDF SDFStar
.SV 1.1 12/17/92
.AL "J. Buck"
.IH
.NE
\fIin\fR (float)
.PE
.OH
.NE
\fIout\fR (float)
.PE
.SH
.NE
\fIfwdTaps\fR (floatArray): Initial forward tap values.
.DF "1"
.NE
\fIfdbkTaps\fR (floatArray): Initial feedback tap values.
.DF "0"
.NE
\fInoisePwr\fR (float): The noise power.
.DF "0"
.ET
.LD
.pp
.Ir "channel models"
.Ir "Gaussian noise"
.Ir "additive noise"
This galaxy filters a signal and then adds Gaussian white noise.
The filter is broken into two parts so that the poles and zeros
can be conveniently specified separately.  This is especially useful
to testing equalizers (use an all-pole  model) and testing
echo cancellers (use an all-zero model).  The zeros are modeled
first using an FIR filter with taps
given by the "fwdTaps" parameter. The poles are then modeled
using an FIR filter with taps given by "fdbkTaps" in a feedback
loop. Suppose the "fwdTaps" filter has transfer function $H(z)$,
and the "fdbkTaps" FIR filter has transfer function $G(z)$.
Then the overall transfer function of the channel is
.EQ
C(z) ~=~ H(z) over { 1 ~+~ z sup -1 G(z) } ~.
.EN
.SA
IIDGaussian, QAM4withDFE
.ES
