.\" documentation file generated from SDFRaisedCosCx.pl by ptlang
.\" Copyright (c) 1990, 1991, 1992 The Regents of the University of California.
.\" All rights reserved.
.\" See the file ~ptolemy/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RaisedCosCx"
.SD
Output a complex raised-cosine Nyquist pulse.
.SE
.LO "SDF dsp library"
.DM SDF SDFFIRCx
.SV 1.9 "11/25/92"
.AL "J. T. Buck"
.SH
.NE
\fIN\fR (IntState): Number of taps
.DF "64"
.NE
\fIP\fR (IntState): Distance from center to first zero crossing
.DF "16"
.NE
\fIexcessBW\fR (FloatState): Excess bandwidth, between 0 and 1
.DF "1.0"
.ET
.LD
This star outputs a complex raised cosine pulse with excess bandwidth given
by \fIexcessbw\fR and pulse width (distance from center to first
zero crossing) given by \fIP\fP.  The length of the filter (number
of taps) is \fIN\fP, and the output sample rate is \fIupsample\fP
times the input.  This star is implemented by deriving from the ComplexFIR
star.
.Id "raised cosine pulse, complex"
.Id "Nyquist pulse, complex"
.pp
See "Digital Communication" by Lee and Messerschmitt for a discussion
of raised cosine pulses in communications systems.
.SA
FIRCx and
RaisedCos.
.ES
