.\" documentation file generated manually for a a galaxy
.NA "phaseShift"
.SD
Phase shift galaxy.
.SE
.LO "SDF dsp library (galaxy)"
.DM SDF SDFStar
.SV 1.4	12/5/92
.AL "E. A. Lee"
.CO "1991 The Regents of the University of California"
.IH
.NE
\fIin\fR (float): Input signal
.NE
\fIshift\fR (float): Amount of phase shift
.PE
.OH
.NE
\fIout\fR (float): Phase shifted signal
.PE
.LD
.pp
This galaxy applies a phase shift to a signal according to the
\fIshift\fR input.  If the \fIshift\fR input value is time varying,
then its slope determines the instantaneous frequency shift.
.pp
The phase shift is accomplished by first forming an approximately analytic
.Ir "analytic signal"
signal by filtering the input with a complex FIR filter.
.Se ComplexFIR
The filter taps are given in
the file ~ptolemy/src/domains/sdf/demo/analytic2.cx.
This filter has approximately unity gain from d.c. up to the Nyquist
frequency, and imposes at least 48 dB of attenuation from d.c.
down to the negative of the Nyquist frequency.  Hence, only positive
frequencies are allowed through.
(The pigi command \fIDFT of Cx signal\fR (``_'') may be used to
examine the details of this frequency response.)
The analytic signal is modulated with a complex exponential to shift
the phase, and the real part of the result is output.
.SA
doppler.
.ES
